type Listener = (...args: any[]) => void;
interface EventEmitterLike {
    on(event: string, listener: Listener): this;
    removeListener(event: string, listener: Listener): this;
}
interface Readable extends EventEmitterLike {
    resume(): void;
    pause(): void;
    on(event: "data", listener: (chunk: any) => void): this;
    on(event: "end", listener: () => void): this;
    on(event: "error", listener: (err: Error) => void): this;
}
declare function iterateStream(stream: Readable): AsyncGenerator<any>;
export { iterateStream };
